%define glib2_version           2.6.0
%define dbus_version            1.2
%define dbus_glib_version	0.76
%define devicekit_version       002
%define polkit_version          0.8
%define parted_version          1.8.8
%define udev_version            124
%define mdadm_version           2.6.7
%define device_mapper_version   1.02

Summary: Disk Management Service
Name: DeviceKit-disks
Version: 002
Release: 0.git20080720%{?dist}
License: GPLv2+
Group: System Environment/Libraries
URL: http://gitweb.freedesktop.org/?p=users/david/DeviceKit-disks.git;a=summary
Source0: %{name}-%{version}.git20080720.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: PolicyKit-devel >= %{polkit_version}
BuildRequires: parted-devel >= %{parted_version}
BuildRequires: DeviceKit-devel >= %{devicekit_version}
BuildRequires: sqlite-devel
BuildRequires: device-mapper-devel >= %{device_mapper_version}
BuildRequires: intltool
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: glib2 >= %{glib2_version}
Requires: PolicyKit >= %{polkit_version}
Requires: parted >= %{parted_version}
Requires: DeviceKit >= %{devicekit_version}
Requires: udev >= %{udev_version}
Requires: mdadm >= %{mdadm_version}
Requires: smartmontools
Conflicts: kernel < 2.6.25

%description
DeviceKit-disks provides a daemon, D-Bus API and command line tools
for managing disks and storage devices.

%package devel
Summary: D-Bus interface definitions for DeviceKit-disks
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
# stupid guidelines require this for ownership of /usr/share/gtk-doc
Requires: gtk-doc

%description devel
D-Bus interface definitions for DeviceKit-disks.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

# TODO: should be fixed upstream
chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/devkit-disks-bash-completion.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

%doc README AUTHORS NEWS COPYING HACKING doc/TODO

%{_sysconfdir}/dbus-1/system.d/*.conf
%{_sysconfdir}/profile.d/*.sh
%{_sysconfdir}/udev/rules.d/*.rules

/lib/udev/part_id
/lib/udev/devkit-disks-dm-export
/sbin/umount.devkit

%{_bindir}/*
%{_libexecdir}/*

%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%{_datadir}/PolicyKit/policy/*.policy

%{_datadir}/dbus-1/system-services/*.service

%dir %{_localstatedir}/lib/DeviceKit-disks

%files devel
%defattr(-,root,root,-)

%{_datadir}/dbus-1/interfaces/*.xml

%dir %{_datadir}/gtk-doc/html/devkit-disks
%{_datadir}/gtk-doc/html/devkit-disks/*

%changelog
* Fri Jul 20 2008 David Zeuthen <davidz@redhat.com> - 002-0.git20080720%{?dist}
- Initial packaging
